TTF_GetGlyphMetrics(3)

NAME
TTF_GetGlyphMetrics - Query the metrics (dimensions) of a font's glyph for a UNICODE codepoint.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetGlyphMetrics(TTF_Font *font, Uint32 ch, int *minx, int *maxx, int *miny, int *maxy, int *advance);

DESCRIPTION
To understand what these metrics mean, here is a useful link:

https://freetype.sourceforge.net/freetype2/docs/tutorial/step2.html

FUNCTION PARAMETERS

font
    the font to query.

ch  the codepoint to check.

minx
    a pointer filled in with the minimum x coordinate of the glyph from the left edge of its bounding box. This value may be negative.

maxx
    a pointer filled in with the maximum x coordinate of the glyph from the left edge of its bounding box.

miny
    a pointer filled in with the minimum y coordinate of the glyph from the bottom edge of its bounding box. This value may be negative.

maxy
    a pointer filled in with the maximum y coordinate of the glyph from the bottom edge of its bounding box.

advance
    a pointer filled in with the distance to the next glyph from the left edge of this glyph's bounding box.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.